Class | Net::IMAP::BodyTypeMultipart
In: | net/imap.rb
Parent: | Struct.new(:media_type, :subtype, :parts, :param, :disposition, :language, :extension)

Net::IMAP::BodyTypeMultipart represents multipart body structures of messages.

#### Fields:

media_type: | Returns the content media type name as defined in [MIME-IMB].
subtype: | Returns the content subtype name as defined in [MIME-IMB].
parts: | Returns multiple parts.
param: | Returns a hash that represents parameters as defined in [MIME-IMB].
disposition: | Returns a Net::IMAP::ContentDisposition object giving the content disposition.
language: | Returns a string or an array of strings giving the body language value as defined in [LANGUAGE-TAGS].
extension: | Returns extension data.
multipart?: | Returns true.

### Methods

media_subtype multipart?

### Public Instance methods

media_subtype()

Obsolete: use `subtype` instead. Calling this will generate a warning message to `stderr`, then return the value of `subtype`.

[Source]

    # File net/imap.rb, line 1843
          def media_subtype
            $stderr.printf("warning: media_subtype is obsolete.\n")
            $stderr.printf("         use subtype instead.\n")
            return subtype
          end

multipart?()

[Source]

    # File net/imap.rb, line 1836
          def multipart?
            return true
          end

[Validate]